<?php
/**
 * Mageplaza
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the mageplaza.com license that is
 * available through the world-wide-web at this URL:
 * https://mageplaza.com/LICENSE.txt
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this extension to newer
 * version in the future.
 *
 * @category    Mageplaza
 * @package     Mageplaza
 * @copyright   Copyright (c) 2016 Mageplaza (https://www.mageplaza.com/)
 * @license     http://mageplaza.com/LICENSE.txt
 */

namespace Mageplaza\Seo\Model\Source;

class Store
{
	protected $_storeManager;

	public function __construct(
		\Magento\Store\Model\StoreManagerInterface $storeManager
	)
	{
		$this->_storeManager = $storeManager;
	}

	public function getStoreCollection()
	{
		return $this->_storeManager->getStores();
	}


	public function toOptionArray()
	{
		$arr = [];
		foreach ($this->getStoreCollection() as $item) {
			$arr[] = ['value' => $item->getId(), 'label' => $item->getName()];
		}

		return $arr;
	}

	/**
	 * Get options in "key-value" format
	 *
	 * @return array
	 */
	public function toArray()
	{
		$arr = [];
		foreach ($this->getStoreCollection() as $item) {
			$arr[] = $item->getName();
		}

		return $arr;
	}

}