# Magento 2 SEO Extension by Mageplaza

[Magento 2 SEO Extension](https://www.mageplaza.com/magento-2-seo-extension/) FREE. This is SEO extension for Magento 2 stores.

## Documentations

- User Guide: https://docs.mageplaza.com/seo-m2/
- Get Support: https://github.com/mageplaza/magento-2-seo-extension/issues
- Contribute on Github: https://github.com/mageplaza/magento-2-seo-extension

## How to install

### Install Package from Mageplaza

Download the latest version at [Mageplaza SEO for Magento 2](https://www.mageplaza.com/magento-2-seo-extension/)
then follow [installation guide](https://docs.mageplaza.com/kb/installation.html)

### Install via composer

Run the following command in Magento 2 root folder

```
composer require mageplaza/magento-2-seo-extension
php bin/magento setup:upgrade
```


## Contribute to this module

Feel free to **Fork** and contrinute to this module and create a pull request so we will merge your changes to `master` branch.


## Introduction

Improve your SEO for [Magento](https://magento.com/) site. Use Mageplaza SEO to automatically optimize your site for Search Engines.
Mageplaza SEO extension will automatically optimize and greatly improve the performance of your Magento-based store in Search Engines. Magento 2 is great SEO-ready out-of-the-box that is really good for SEO. However it still needs some craftiness to be improved in a few areas.

Mageplaza SEO extension will support a list of new useful tools and settings that help you have own all the technical optimization with automatically optimizing and inserting the meta tags and link elements that Google or other Search Engines like so much:


## Meta & Link tag

Mageplaza SEO extension empower you control which pages Google shows that associated with its search and which pages doesn’t show. Otherwise, by default, search engines will index all of your pages and only first page will be shown in the search results that is not useful for a user to end up on the third page of your "personal" category.

## Breadcrumbs

**SEO extension for Magento 2** allows adding Breadcrumbs functionality to your theme, that means you can create a greater navigation such as from post, to category, or to the next post for users and search engines. Due to that, it is easier for the search engines to reach your site’s structure.

## Edit your .htaccess and robots.txt file

Giving you direct access to the two most powerful files, from an SEO perspective, in your Magento 2 install.

## Magento 2 Social Integration

SEO and Social Media are heavily intertwined, that's why this plugin also comes with a Facebook OpenGraph implementation, Twitter Card and will soon also support Google+ sharing tags.

## Features

- Automatically setup SEO criterials 
- Add Canonical URL Meta 
- Add Nofollow meta in Search Result 
- Add Nofollow meta in Product Gallery 
- Add Option: Follow/Nofollow/Noindex for Product, Category, CMS Page (Featured) - Add Link Rel="alternate" 
- Automatically setup page title, meta description 
- .htaccess editor 
- robots.txt editor 
- Quick save .htaccess, robots.txt file 
- Optimize Breadcrumbs 
- Social Integration 
- Support multistores 
- RSS Optimization 
- HTML Sitemaps (Featured) 
- Better Rich Snippets Schema.org (Featured) 
- Page Analysis (Coming soon) 
- Better 404 pages (Coming soon) 
- SEO-friently URLs: Layered Navigation (Coming soon) 



## Help

[Documentations](https://mageplaza.freshdesk.com/support/solutions/folders/6000216900)

Any questions, issues, bugs, please create [a topic at forum](https://mageplaza.freshdesk.com/support/discussions/forums/6000241153) 

## License

Mageplaza License
https://www.mageplaza.com/LICENSE.txt
